/*
 * IRC - Internet Relay Chat, include/s_ping.h
 *
 * See file doc/authors for names of the programmers.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef S_PING_H
#define S_PING_H

/*=============================================================================
 * Proto types
 */

extern int start_ping(aClient *cptr);
extern void send_ping(aClient *cptr);
extern void read_ping(aClient *cptr);
extern int ping_server(aClient *cptr);
extern int m_uping(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern void end_ping(aClient *cptr);
extern void cancel_ping(aClient *sptr, aClient *acptr);

#endif /* S_PING_H */
